LaxGZIPInputStream (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.http.sampler.hc, class: LaxGZIPInputStream

Package org.apache.jmeter.protocol.http.sampler.hc

# Class LaxGZIPInputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
java.util.zip.InflaterInputStream
java.util.zip.GZIPInputStream
org.apache.jmeter.protocol.http.sampler.hc.LaxGZIPInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class LaxGZIPInputStream extends GZIPInputStream
`GZIPInputStream` subclass that has a flag to accept "edgy streams" that signal end of stream with `EOFException` which seems to be rather frequent

Since:
  5.0
See Also:
  - Bugzilla 61058

- ## Field Summary

  ### Fields inherited from class java.util.zip.GZIPInputStream

  `crc, eos, GZIP_MAGIC`

  ### Fields inherited from class java.util.zip.InflaterInputStream

  `buf, inf, len`

  ### Fields inherited from class java.io.FilterInputStream

  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LaxGZIPInputStream(InputStream wrapped, boolean relax)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `read()`
  `int`
  `read(byte[] b)`
  `int`
  `read(byte[] b, int off, int len)`

  ### Methods inherited from class java.util.zip.GZIPInputStream

  `close`

  ### Methods inherited from class java.util.zip.InflaterInputStream

  `available, fill, mark, markSupported, reset, skip`

  ### Methods inherited from class java.io.InputStream

  `nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LaxGZIPInputStream

    public LaxGZIPInputStream(InputStream wrapped, boolean relax) throws IOException
    Parameters:
      `wrapped` - the InputStream that should be wrapped
      `relax` - flag to enable relaxed mode
    Throws:
      `IOException` - when super class throws an IOException

- ## Method Details

  - ### read

    public int read(byte[] b, int off, int len) throws IOException
    Overrides:
      `read` in class `GZIPInputStream`
    Throws:
      `IOException`

  - ### read

    public int read() throws IOException
    Overrides:
      `read` in class `InflaterInputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] b) throws IOException
    Overrides:
      `read` in class `FilterInputStream`
    Throws:
      `IOException`